import{s as lt,f as rt,n as ut,o as gt}from"../chunks/scheduler.37c15a92.js";import{S as ct,i as mt,g as o,s,r as tt,A as pt,h as l,f as n,c as a,j as et,u as nt,x as r,k as O,y as ft,a as i,v as it,d as st,t as at,w as ot}from"../chunks/index.7cb9c9b8.js";import{H as ht,E as dt}from"../chunks/EditOnGithub.858acfec.js";function vt(z){let u,L,b,H,g,$,c,B,C,m,D="Since the beginning of this course, we learned to train agents in a <em>single-agent system</em>  where our agent was alone in its environment: it was <strong>not cooperating or collaborating with other agents</strong>.",P,p,J="This worked great, and the single-agent system is useful for many applications.",A,f,K='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit10/patchwork.jpg" alt="Patchwork"/> <figcaption>A patchwork of all the environments you’ve trained your agents on since the beginning of the course</figcaption>',I,h,N="But, as humans, <strong>we live in a multi-agent world</strong>. Our intelligence comes from interaction with other agents. And so, our <strong>goal is to create agents that can interact with other humans and other agents</strong>.",E,d,Q="Consequently, we must study how to train deep reinforcement learning agents in a <em>multi-agents system</em> to build robust agents that can adapt, collaborate, or compete.",S,v,V="So today we’re going to <strong>learn the basics of the fascinating topic of multi-agents reinforcement learning (MARL)</strong>.",k,w,W="And the most exciting part is that, during this unit, you’re going to train your first agents in a multi-agents system: <strong>a 2vs2 soccer team that needs to beat the opponent team</strong>.",q,_,X='And you’re going to participate in <strong>AI vs. AI challenge</strong> where your trained agent will compete against other classmates’ agents every day and be ranked on a <a href="https://huggingface.co/spaces/huggingface-projects/AIvsAI-SoccerTwos" rel="nofollow">new leaderboard</a>.',U,y,Y='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit10/soccertwos.gif" alt="SoccerTwos"/> <figcaption>This environment was made by the <a href="https://github.com/Unity-Technologies/ml-agents">Unity MLAgents Team</a></figcaption>',G,T,Z="So let’s get started!",R,x,j,M,F;return g=new ht({props:{title:"Introduction",local:"introduction",headingTag:"h1"}}),x=new dt({props:{source:"https://github.com/huggingface/deep-rl-class/blob/main/units/en/unit7/introduction.mdx"}}),{c(){u=o("meta"),L=s(),b=o("p"),H=s(),tt(g.$$.fragment),$=s(),c=o("img"),C=s(),m=o("p"),m.innerHTML=D,P=s(),p=o("p"),p.textContent=J,A=s(),f=o("figure"),f.innerHTML=K,I=s(),h=o("p"),h.innerHTML=N,E=s(),d=o("p"),d.innerHTML=Q,S=s(),v=o("p"),v.innerHTML=V,k=s(),w=o("p"),w.innerHTML=W,q=s(),_=o("p"),_.innerHTML=X,U=s(),y=o("figure"),y.innerHTML=Y,G=s(),T=o("p"),T.textContent=Z,R=s(),tt(x.$$.fragment),j=s(),M=o("p"),this.h()},l(t){const e=pt("svelte-u9bgzb",document.head);u=l(e,"META",{name:!0,content:!0}),e.forEach(n),L=a(t),b=l(t,"P",{}),et(b).forEach(n),H=a(t),nt(g.$$.fragment,t),$=a(t),c=l(t,"IMG",{src:!0,alt:!0}),C=a(t),m=l(t,"P",{"data-svelte-h":!0}),r(m)!=="svelte-smsux1"&&(m.innerHTML=D),P=a(t),p=l(t,"P",{"data-svelte-h":!0}),r(p)!=="svelte-e9caw3"&&(p.textContent=J),A=a(t),f=l(t,"FIGURE",{"data-svelte-h":!0}),r(f)!=="svelte-so1y2c"&&(f.innerHTML=K),I=a(t),h=l(t,"P",{"data-svelte-h":!0}),r(h)!=="svelte-nf786x"&&(h.innerHTML=N),E=a(t),d=l(t,"P",{"data-svelte-h":!0}),r(d)!=="svelte-5dt70f"&&(d.innerHTML=Q),S=a(t),v=l(t,"P",{"data-svelte-h":!0}),r(v)!=="svelte-19g4sgk"&&(v.innerHTML=V),k=a(t),w=l(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-ywv0q0"&&(w.innerHTML=W),q=a(t),_=l(t,"P",{"data-svelte-h":!0}),r(_)!=="svelte-16qx50q"&&(_.innerHTML=X),U=a(t),y=l(t,"FIGURE",{"data-svelte-h":!0}),r(y)!=="svelte-100gprn"&&(y.innerHTML=Y),G=a(t),T=l(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-2tvssp"&&(T.textContent=Z),R=a(t),nt(x.$$.fragment,t),j=a(t),M=l(t,"P",{}),et(M).forEach(n),this.h()},h(){O(u,"name","hf:doc:metadata"),O(u,"content",wt),rt(c.src,B="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/thumbnail.png")||O(c,"src",B),O(c,"alt","Thumbnail")},m(t,e){ft(document.head,u),i(t,L,e),i(t,b,e),i(t,H,e),it(g,t,e),i(t,$,e),i(t,c,e),i(t,C,e),i(t,m,e),i(t,P,e),i(t,p,e),i(t,A,e),i(t,f,e),i(t,I,e),i(t,h,e),i(t,E,e),i(t,d,e),i(t,S,e),i(t,v,e),i(t,k,e),i(t,w,e),i(t,q,e),i(t,_,e),i(t,U,e),i(t,y,e),i(t,G,e),i(t,T,e),i(t,R,e),it(x,t,e),i(t,j,e),i(t,M,e),F=!0},p:ut,i(t){F||(st(g.$$.fragment,t),st(x.$$.fragment,t),F=!0)},o(t){at(g.$$.fragment,t),at(x.$$.fragment,t),F=!1},d(t){t&&(n(L),n(b),n(H),n($),n(c),n(C),n(m),n(P),n(p),n(A),n(f),n(I),n(h),n(E),n(d),n(S),n(v),n(k),n(w),n(q),n(_),n(U),n(y),n(G),n(T),n(R),n(j),n(M)),n(u),ot(g,t),ot(x,t)}}}const wt='{"title":"Introduction","local":"introduction","sections":[],"depth":1}';function _t(z){return gt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bt extends ct{constructor(u){super(),mt(this,u,_t,vt,lt,{})}}export{bt as component};
